<template>
  <div class="client-platform-page client-resources-page">

    <!-- 题库资源页 banner栏 -->
    <div class="client-platform-banner">
      <div  :style="{backgroundImage: `url(${require(`~/static/images/client/resources/resources-banner-background.jpg`)})`}" class="client-platform-banner"></div>
    </div>
    <!--  企业通用岗位培训方案 -->
    <div class="client-container">
      <h4 class="client-title">企业通用岗位培训方案</h4>
      <ul class="train-scheme-list">
        <li><div><i></i><span>职业素养</span></div></li>
        <li><div><i></i><span>领导能力</span></div></li>
        <li><div><i></i><span>人力资源</span></div></li>
        <li><div><i></i><span>市场营销</span></div></li>
        <li><div><i></i><span>行政管理</span></div></li>
        <li><div><i></i><span>财务管理</span></div></li>
        <li><div><i></i><span>客服服务</span></div></li>
        <li><div><i></i><span>产品运营</span></div></li>

      </ul>
    </div>
    <div class="platform-products-services">
      <ul>
        <li>
          <div class="client-container">
            <div class="products-services-box products-contrary-box">
              <h4 class="client-title">为企业培训打造学习矩阵</h4>
              <img :src="trainAdvantagesImg1" alt="完善的课程学习体系" />
              <div class="products-services-content">
                <p>
                  课程总数近<span class="blue-big-size">5000门</span><br>
                  涵盖<span class="blue-big-size">2000个</span>知识要点<br>
                  提供<span class="blue-big-size">8大通用岗位</span>培训方案<br>
                  课程资源<span class="blue-big-size">每月持续更新</span><br>
                </p>
                <div>
                  <a class="client-default-Btn" @click="applyFun" >申请方案</a>
                  <span rel="nofollow" class="client-default-white-Btn" @click="goIntroductionPage">联系我们</span>
                </div>
              </div>
            </div>
          </div>
        </li>
      </ul>

    </div>
    <!--  情景动画 -->
    <div class="course-learn-box">
      <h4 class="client-title">课程内容形式多样</h4>
      <div class="client-container tc">
        <ul class="learn-box-list">
          <li>
            <a href="https://spdb.mtavip.com/sv/4f2e3958-17880e826df/4f2e3958-17880e826df.mp4"></a>
            <div>
              <span><img :src="courseVideoImg19" alt="FLASH动画课程"><i @click="playVideo(0)"></i></span>
              <p>FLASH动画课程</p>
              <p class="course-explain-black">主要以图文动画的形式表现教学者的作用和教与学之间的关系，从而改变学习的本质</p>
            </div>
          </li>
          <li>
            <a href="https://spdb.mtavip.com/65615d29a5da4478b8d4ebfd6810d2da/65ab43fa5fb942aab2af981c2f7ea5c7-da005714eae365940692db31fbf6e9b8-fd.mp4"></a>
            <div>
              <span><img :src="courseVideoImg8" alt="视频课程"><i @click="playVideo(1)"></i></span>
              <p>视频课程</p>
              <p class="course-explain-black">把教师视频与PowerPoint课件一并摄制下来，生成为视频课件</p>
            </div>
          </li>
          <li>
            <a href="https://1251882694.vod2.myqcloud.com/51d57535vodtransgzp1251882694/9ce0a1a35285890792886070899/v.f30.mp4"></a>
            <div><span><img :src="courseVideoImg6" alt="名师讲堂"><i @click="playVideo(2)"></i></span>
              <p>名师讲堂</p>
              <p class="course-explain-black">各行各业讲师汇聚一堂，为不同专属领域打造明星级课堂</p>
            </div>
          </li>
        </ul>
        <div class="platform-products-services">
          <a class="client-default-Btn" @click="applyFun" >申请方案</a>
          <span rel="nofollow" class="client-default-white-Btn" @click="goIntroductionPage">联系我们</span>
        </div>
      </div>
    </div>

    <!-- 新闻资讯 -->
    <div class="platform-news-information">
      <div class="client-container">
        <h4 class="client-title">新闻资讯</h4>
        <ul>
          <li style="font-size: 16px" v-for="(item, index) in topCarousels">
            <div>
              <img :src="item.pic" alt="新闻资讯" />
              <h4 @click="checkInfo(item)">{{ item.title }}</h4>
              <span>发布时间：{{item.yyyy }}-{{ item.mmdd }}</span>
              <p>{{ item.intro }}</p>
            </div>
          </li>
        </ul>
      </div>
    </div>
    <!--  视频播放弹窗 -->
    <el-dialog
      :title="title"
      :visible.sync="videoDialogFlag"
      @close="closeVideoDialog"
      class="course-video-dialog"
      center>
      <video controls :src="source" class="course-video-box"></video>
      <p>{{footerText}}</p>
    </el-dialog>


    <!--  申请方案弹窗 -->
    <el-dialog
      :close-on-click-modal="false"
      :visible.sync="telDl"
      @close="delDlClose"
      class="application-scheme-dialog"
      center>
      <i></i>
      <p>免费获得课程开发解决方案</p>
      <el-form :model="telChangeDate" status-icon :rules="telRules" ref="ruleTelForm" class="application-scheme-form">
        <el-form-item  prop="tel">
          <el-input v-model="telChangeDate.tel" placeholder="请输入手机号" class="dialog-input-tel"></el-input>
        </el-form-item>
        <div id="your-dom-id" class="nc-container"></div>
        <el-form-item prop="verification">
          <div class="verification">
            <el-input v-model="telChangeDate.verification" placeholder="请输入验证码" class="dialog-input-code"></el-input>
            <el-button  @click="checkVerification" :disabled="btnTextDisabled" class="dialog-code-btn">{{btnText}}</el-button>
          </div>
        </el-form-item>
      </el-form>
      <div class="application-scheme-btn" @click="dialogSave">申请方案</div>
      <span>免费热线：400-052-2130</span><a href="https://p.qiao.baidu.com/cps/chat?siteId=17930048&userId=40179606&siteToken=e767a987c8404575246ab0084fb2c9bd" target="_blank">在线客服</a>
    </el-dialog>
  </div>
</template>

<script>
  export default {
    name:     'resources',
    layout:   'templateB',
    async asyncData({ $axios,store }) {
      // 设置选中菜单
      store.commit('setActiveNav', '/resources');


      let [res1, res2] = await Promise.all([
                                             await $axios.$post(`/home/banner/list`, { 'code': 3 }).then(res => {
                                               return res;
                                             }),
                                             await $axios.$post(`/home/news/carousel`, { 'newsClassifyId': 0,'keyword':'培训' }).then(res => {
                                               return res;
                                             })
                                           ]);
      return {
        bannerList: res1.data.data||[],
        topCarousels: res2.data.data||[],

      };
    },
    data() {
      return {
        trainAdvantagesImg1:  require(`~/static/images/client/resources/train-scheme-img.png`),
        courseVideoImg19:  require(`~/static/images/client/course/course-video-img19.png`),
        courseVideoImg8:  require(`~/static/images/client/course/course-video-img8.png`),
        courseVideoImg6:  require(`~/static/images/client/course/course-video-img6.png`),
        videoArray:[
          {
            url:'https://spdb.mtavip.com/sv/4f2e3958-17880e826df/4f2e3958-17880e826df.mp4',
            fotterText:'主要以图文动画的形式表现教学者的作用和教与学之间的关系，从而改变学习的本质',
            title:'FLASH动画课程',
          },
          {
            url:'https://spdb.mtavip.com/65615d29a5da4478b8d4ebfd6810d2da/65ab43fa5fb942aab2af981c2f7ea5c7-da005714eae365940692db31fbf6e9b8-fd.mp4',
            fotterText:'把教师视频与PowerPoint课件一并摄制下来，生成为视频课件',
            title:'视频课程',
          },
          {
            url:'https://spdb.mtavip.com/customerTrans/87321d8a03805711940e85451d6bcb0a/359ee794-17470899bcf-0006-732a-c93-687b7.mp4',
            fotterText:'各行各业讲师汇聚一堂，为不同专属领域打造明星级课堂',
            title:'名师讲堂',
          },
        ],
        videoDialogFlag:false,
        source:'',
        footerText:'',
        title:'',

        btnTextDisabled: false,
        telDl: false,
        btnText:         '获取验证码',
        countdown:       60, // 60秒倒计时
        sliderData:      {},
        appKey:          'FFFF0N00000000007EC0',
        telChangeDate:   {},
        telRules:        {
          tel:          [
            { trigger: 'blur', required: true, message: '请输入手机号' },
          ],
          verification: [
            { trigger: 'blur', required: true, message: '请输入验证码' },
          ],
        },



      };
    },
    head(){
      return {
        SystemWidthFlag:false,// 判断是否是手机端，默认为false，默认为PC端
        title: '课程资源_学习平台_精品课程资源开发建设_学习平台开发建设',
        meta: [
          {
            name: 'keywords',
            content: '学习平台开发,学习平台建设'
          },
          {
            name:'description',
            content:'大连栋科软件工程有限公司凭借成熟的项目研发和管理经验，致力于为客户提供全方位的在线教育解决方案，实现移动化、平台化、知识化、智能化学习管理模式，让学习变得更轻松。“共同成长、相伴一生”是栋科软件始终不渝的核心价值观。'
          }
        ],
      }
    },
    computed: {},
    methods:  {
      // 判断是否为移动端
      getSystemWidth(){
        var browserWidth=document.documentElement.clientWidth;
        if(browserWidth <= 768){
          this.SystemWidthFlag = true;
        }else{
          this.SystemWidthFlag = false;
        }

      },
      // 滑块
      sliderFun() {
        const nc_token = [this.appKey, (new Date()).getTime(), Math.random()].join(':');
        console.log(nc_token);
        const NC_Opt = {
          //声明滑动验证需要渲染的目标元素ID。
          renderTo:    '#your-dom-id',
          //应用类型标识。它和使用场景标识（scene字段）一起决定了滑动验证的业务场景与后端对应使用的策略模型。您可以在人机验证控制台的配置管理页签找到对应的appkey字段值，请务必正确填写。
          appkey:      this.appKey,
          //使用场景标识。它和应用类型标识（appkey字段）一起决定了滑动验证的业务场景与后端对应使用的策略模型。您可以在人机验证控制台的配置管理页签找到对应的scene值，请务必正确填写。
          scene:       'nc_message',
          //滑动验证码的主键，请勿将该字段定义为固定值。确保每个用户每次打开页面时，其token值都是不同的。系统默认的格式为：”您的appkey”+”时间戳”+”随机数”。
          token:       nc_token,
          //滑动条的宽度。
          customWidth: 300,
          //业务键字段，可为空。为便于线上问题的排查，建议您按照线上问题定位文档中推荐的方法配置该字段值。
          trans:       { 'key1': 'code0' },
          //通过Dom的ID属性自动填写trans业务键，可为空。建议您按照线上问题定位文档中推荐的方法配置该字段值。
          elementID:   ['usernameID'],
          //是否自定义配置底层采集组件。如无特殊场景，请使用默认值（0），即不自定义配置底层采集组件。
          is_Opt:      0,
          //语言。PC端Web页面场景默认支持18国语言，详细配置方法请参见自定义文案与多语言文档。
          language:    'cn',
          //是否启用。一般情况，保持默认值（true）即可。
          isEnabled:   true,
          //内部网络请求的超时时间。一般情况建议保持默认值（3000ms）。
          timeout:     3000,
          //允许服务器超时重复次数，默认5次。超过重复次数后将触发报错。
          times:       5,
          //用于自定义滑动验证各项请求的接口地址。一般情况，请勿配置该参数。
          apimap:      {
            // 'analyze': '//a.com/nocaptcha/analyze.jsonp',
            // 'get_captcha': '//b.com/get_captcha/ver3',
            // 'get_captcha': '//pin3.aliyun.com/get_captcha/ver3'
            // 'get_img': '//c.com/get_img',
            // 'checkcode': '//d.com/captcha/checkcode.jsonp',
            // 'umid_Url': '//e.com/security/umscript/3.2.1/um.js',
            // 'uab_Url': '//aeu.alicdn.com/js/uac/909.js',
            // 'umid_serUrl': 'https://g.com/service/um.json'
          },
          //前端滑动验证通过时会触发该回调参数。您可以在该回调参数中将请求标识（token）、会话ID（sessionid）、签名串（sig）字段记录下来，随业务请求一同发送至您的服务端调用验签。
          callback:    (data) => {
            this.sliderData = Object.assign({}, data, {
              appkey: NC_Opt.appkey,
              scene:  NC_Opt.scene,
            });
            console.log( this.sliderData);
          },
        };
        let date11 = () => {

          let _date = new Date();
          let year = _date.getFullYear().toString();
          let month = _date.getMonth().toString();
          let day = _date.getDate().toString();
          let a = _date.getHours().toString();
          let b = _date.getMinutes().toString();
          let c = _date.getSeconds().toString();

          return year + month + day + a + b + c;
        };
        let c = date11();
        const scripts = [
          `https://g.alicdn.com/sd/ncpc/nc.js?t=${c}`,
        ];
        this.seriesLoadScripts(scripts, function () {
          var nc = new noCaptcha(NC_Opt);
          nc.upLang('cn', {
            _startTEXT:    '请按住滑块，拖动到最右边',
            _yesTEXT:      '验证通过',
            _error300:     '哎呀，出错了，点击<a href="javascript:__nc.reset()">刷新</a>再来一次',
            _errorNetwork: '网络不给力，请<a href="javascript:__nc.reset()">点击刷新</a>',
          });
        });

      },

      applyFun() {
        this.getSystemWidth();
        if(this.SystemWidthFlag){
          this.$router.push({ name: 'CourseDevelopPhone', query: {pageName: 'resources',} });
        }else {
          this.telDl = true;
          this.sliderFun();
        }
      },
      delDlClose(){
        this.telDl  =false;
        this.countdown = -1;
        this.$refs.ruleTelForm.resetFields();
        __nc.reset();


      },

      /**
       * 串联加载指定的脚本
       * 串联加载[异步]逐个加载，每个加载完成后加载下一个
       * 全部加载完成后执行回调
       * @param array|string 指定的脚本们
       * @param function 成功后回调的函数
       * @return array 所有生成的脚本元素对象数组
       * 异步加载js后运行回调函数callback / scripts 为数组或字符串
       */
      seriesLoadScripts(scripts, callback) {
        if (typeof (scripts) != 'object') {
          var scripts = [scripts];
        }
        var HEAD = document.getElementsByTagName('head').item(0) || document.documentElement;
        var s = new Array(), last = scripts.length - 1, recursiveLoad = function (i) { //递归
          s[i] = document.createElement('script');
          s[i].setAttribute('type', 'text/javascript');
          s[i].onload = s[i].onreadystatechange = function () { //Attach handlers for all browsers
            if (!/*@cc_on!@*/0 || this.readyState == 'loaded' || this.readyState == 'complete') {
              this.onload = this.onreadystatechange = null;
              this.parentNode.removeChild(this);
              if (i != last) {
                recursiveLoad(i + 1);
              } else if (typeof (callback) == 'function') {
                callback();
              }
            }
          };
          s[i].setAttribute('src', scripts[i]);
          HEAD.appendChild(s[i]);
        };
        recursiveLoad(0);
      },


      dialogSave(){
        this.$refs.ruleTelForm.validate((valid) => {
          if (valid) {
            // 请求后台
            const options = {
              phone:  this.telChangeDate.tel,
              code: this.telChangeDate.verification,
            };

            this.$axios.$post('/develop/add',options).then(res=>{
              if (res.code === 0 && res.data) {
                this.telDl = false;
                this.$message.success('申请成功');
              } else {
                this.$message.error('申请失败');
              }
            });
          }
        });

      },


      // 倒计时60秒
      setTime() {
        if (this.countdown === 0) {
          this.btnTextDisabled = false;
          this.btnText = '免费获取验证码';
          this.countdown = 60;
        }else if(this.countdown === -1){
          this.btnTextDisabled = false;
          this.btnText = '获取验证码';
          this.countdown = 60;
        } else {
          this.btnTextDisabled = true;
          this.btnText = '重新发送(' + this.countdown + 's)';
          this.countdown--;
          setTimeout(() => {
            this.setTime();
          }, 1000);
        }
      },
      // 验证码
      checkVerification() {
        if (this.sliderData.appkey === undefined) {
          this.$message.error('请先通过滑块校验');
          return;
        }
        this.$axios.$post(`/develop/exists`,{  phone: this.telChangeDate.tel}).then(res=>{

          if (res.code === 0 && res.data) {

            let req = {
              'appkey':    this.sliderData.appkey,
              'phone':     this.telChangeDate.tel,
              'scene':     this.sliderData.scene,
              'sessionid': this.sliderData.csessionid,
              'sig':       this.sliderData.sig,
              'token':     this.sliderData.token,
              'type':      0,
            }
            this.$axios.$post('/sendCode',req).then(res=>{
              if (res.code === 0 && res.data) {
                this.setTime();
              }else {
                this.$message.error(res.msg||'手机号已存在');
              }
            })
          } else {
            this.$message.error(res.msg||'手机号已存在');
            return false;
          }

        })
      },




      playVideo(index){
        this.videoDialogFlag = true
        this.source = this.videoArray[index].url
        this.footerText = this.videoArray[index].fotterText
        this.title = this.videoArray[index].title
      },

      closeVideoDialog(){

        this.videoDialogFlag = false;
        this.source = '';
        this.footerText = '';
        this.title = '';
      },
      goIntroductionPage(){
        this.$router.push({ name: 'introduction' });
      },
      checkInfo(data) {
        const opt = {
          id: data.code,
        };
        this.$router.push({ name: 'news-id', params: opt });
      },
      clickBanner(data){
        if(data){
          window.open(data)
        }
      },
    },
    created() {

    },
    mounted() {
      this.getSystemWidth();
    },
    beforeDestroy() {
    },
  };
</script>
<style>

</style>
